SPAMALYZE(1p)

NAME
spamalyze - Apply multiple Realtime Blackhole Lists to all messages in an mbox

SYNOPSIS
    spamalyze myspam.mbox

    spamalyze goodstuff.mbox

    tail -3000 some.mbox | spamalzse

DESCRIPTION
Spamalyze reads in an mbox file containing multiple mail messages and looks up the originating server of each message on multiple Realtime Blackhole Lists. Spamalyze uses Net::RBLClient.

Spamalyze lets you find out what the impact would be of filtering via various RBL's.

The output report contains two sections. The first section has one line per email message, showing:

•   Sending IP address

•   Sending hostname if any

•   Whether the IP is on a small list of possibly spammish netblocks

•   A list of letters representing RBL's which returned responses for this IP address

The second section contains one line for each of the top RBL's. That is, the RBL's which produced the most hits. The RBL's are listed in decreasing order of hits. Each line contains:

•   The letter assigned to the RBL - "A" is the one with the most hits

•   The domain name of the RBL

•   The number of hits from the RBL

OPTIONS
No options.

SEE ALSO
Net::RBLClient(3)

AUTHOR
Asher Blum <asher@wildspark.com>

COPYRIGHT
Copyright (C) 2004 Asher Blum. All rights reserved. This code is free software; you can redistribute it and/or modify it under the same terms as Perl itself.